////////////////////////////////////////////////
//Beispiel Byte-Editor Kapitel Input-Output
////////////////////////////////////////////////
int firstLine = 0;
byte[] b; 
PFont font;
int fontSize = 16;
int numLines;

void setup() {
  size(700, 700);
  fill(0);

  // lese eine Datei ein
  //  b = loadBytes("test.txt");
  //  b = loadBytes("bild.jpg");
  //    b = loadBytes("wasIstDas"); //svg-Datei
  b = loadBytes("UndWasIstDas"); //exe-Datei
  // wieviele Textzeilen passen in das Fenster
  numLines = height/(fontSize+2);
  font = createFont("Courier", fontSize);
  textFont(font);
}

void draw() {
  background(255);
  for (int i=0; i<numLines; i++) {
    String sn = "", s = "";
    for (int k=0; k < 10; k++) {
       // hole das aktuelle byte
       byte bt = b[(i+firstLine)*10+k];
       // zeige den numerischen Wert des Bytes als
       // hexadezimale Zahl
       sn += hex(bt)+" ";
       // jetzt zeige das entsprechenden Zeichen 
       char c = (char)bt;
       if (Character.isLetterOrDigit(c))
           s += c;
         else // alles was weder Buchstabe noch Zahl ist
           s += '.';
    }
    text(sn, 5, (i+1)*(fontSize+2));
    text(s, 450, (i+1)*(fontSize+2));
  }
}

void keyPressed() {
  if (key == CODED) {
    switch (keyCode) {
    case UP :     
      firstLine = max(0, firstLine-1);
      break;
    case DOWN :   
      firstLine = min((b.length)/10-numLines, firstLine+1);
      break;
    }
  }
}